Bug 246689 - Dell 1490 (Broadcom 4312) wireless interface won't start
Dell 1490 (Broadcom 4312) wireless interface won't start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 21:20 EDT by Bruce Orchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 14:43:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ifcfg for wireless (208 bytes, application/octet-stream)
2007-07-03 21:24 EDT, Bruce Orchard
no flags Details
kudzu description of wireless interface (240 bytes, application/octet-stream)
2007-07-03 21:27 EDT, Bruce Orchard
no flags Details
Output from ifconfig -a (1.59 KB, text/plain)
2007-07-03 21:29 EDT, Bruce Orchard
no flags Details
WEP key (31 bytes, application/octet-stream)
2007-07-03 21:30 EDT, Bruce Orchard
no flags Details
output from dmesg (23.68 KB, text/plain)
2007-07-04 13:09 EDT, Bruce Orchard
no flags Details
Output from lsmod (2.87 KB, text/plain)
2007-07-04 17:13 EDT, Bruce Orchard
no flags Details
bcm43xx-mac80211.example (1.56 KB, text/plain)
2007-07-05 19:25 EDT, John W. Linville
no flags Details
Output from dmesg including ifup wlan0 (23.84 KB, text/plain)
2007-07-06 14:38 EDT, Bruce Orchard
no flags Details
dmesg output from ifup (742 bytes, text/plain)
2007-07-12 17:29 EDT, Bruce Orchard
no flags Details

  None (edit)
Description Bruce Orchard 2007-07-03 21:20:41 EDT
Description of problem:

Environment:  Dell Inspiron 1501 with Dell 1490 wireless card (based on Broadcom
4312)

The wireless network won't start.  ifup wlan0 gives:

[root@localhost network-scripts]# ifup wlan0
SIOCSIFFLAGS: No such file or directory
Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device wlan0 ; Operation not supported.

Determining IP information for wlan0...



Version-Release number of selected component (if applicable):

Linux localhost.localdomain 2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 15:37:31 EDT
2007 i686 athlon i386 GNU/Linux


How reproducible:

every time

Steps to Reproduce:
1.  run ifup wlan0

  
Actual results:



Expected results:

wireless network connections work


Additional info
Comment 1 Bruce Orchard 2007-07-03 21:24:11 EDT
Created attachment 158489 [details]
ifcfg for wireless
Comment 2 Bruce Orchard 2007-07-03 21:27:23 EDT
Created attachment 158490 [details]
kudzu description of wireless interface

This is the output from kudzu -p for the wireless interface.  This interface
description does not end up in /etc/sysconfig/hwconf
Comment 3 Bruce Orchard 2007-07-03 21:29:39 EDT
Created attachment 158492 [details]
Output from ifconfig -a
Comment 4 Bruce Orchard 2007-07-03 21:30:58 EDT
Created attachment 158493 [details]
WEP key
Comment 5 John W. Linville 2007-07-04 11:22:43 EDT
Please attach the output of running 'dmesg' shortly after booting and 
attempting to bring-up the interface.  Do you have the proper firmware 
installed?
Comment 6 Bruce Orchard 2007-07-04 13:09:43 EDT
Created attachment 158525 [details]
output from dmesg

The interesting part starts at line 428
Comment 7 Bruce Orchard 2007-07-04 13:12:14 EDT
The wireless interface works OK with Windows, so I would expect the firmware is
correct.
Comment 8 Bruce Orchard 2007-07-04 17:13:41 EDT
Created attachment 158552 [details]
Output from lsmod

Note that bcm43xx_mac80211 is loaded
Comment 9 John W. Linville 2007-07-05 19:25:04 EDT
Created attachment 158628 [details]
bcm43xx-mac80211.example

Did you actually ifup the interface before running dmesg?  I'm attaching
example dmesg output from my bcm4318 pccard on my FC6 Thinkpad.  Please notice
how your dmesg lacks the corresponding lines starting with the "Adding
Interface" line.  This should have been tiggered by ifup or the equivalent
"ifconfig wlan0 up" or similar.
Comment 10 John W. Linville 2007-07-05 19:35:44 EDT
Also, based on comment 7 I have to ask if you have run bcm43xx-fwcutter, and 
if so what driver you used to source the firmware?
Comment 11 Bruce Orchard 2007-07-06 14:38:29 EDT
Created attachment 158685 [details]
Output from dmesg including ifup wlan0

Here is the output from dmesg including when ifup wlan0 was run.  I see it is
looking for bcm43xx_microcode5.fw.  I found the file Windows is using for a
driver, bcmwl6.sys, but fwcutter refuses to run on it, saying it is an
unrecognized file.
Comment 12 Bruce Orchard 2007-07-06 15:10:10 EDT
Here is what Windows Vista says about \\windows\system32\drivers\bcmwl6.sys

File description:  BCM 802.11g Network Adapter wireless
Type:  System File
File version:  4.82.28.56
Product name:  BCM 802.11g Network Adapter wireless
Copyright:  1988-2006, Broadcom Corporation, All Rights
Size:  453 KB
Date modified:  11/2/2006 2:30 AM
Language:  Language Neutral
Comment 13 John W. Linville 2007-07-12 16:56:35 EDT
Try this procedure:

  # you need to be root
  wget http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2
  tar -xjvf broadcom-wl-4.80.53.0.tar.bz2
  bcm43xx-fwcutter -w /lib/firmware/ broadcom-wl-4.80.53.0/kmod/wl_apsta.o

Follow that by either 'modprobe -r bcm43xx-mac80211 ; modprobe 
bcm43xx-mac80211' or simply reboot.

Does that work any better for you?
Comment 14 Bruce Orchard 2007-07-12 17:29:23 EDT
Created attachment 159097 [details]
dmesg output from ifup
Comment 15 Bruce Orchard 2007-07-12 17:31:52 EDT
Here is what ifup said:

[root@orchard-laptop-2 network-scripts]# ifup wlan0
Error for wireless request "Set Bit Rate" (8B20) :
    SET failed on device wlan0 ; Operation not supported.

Determining IP information for wlan0...


From dmesg, it looks like it found the firmware
Comment 16 John W. Linville 2007-07-12 17:42:48 EDT
All that looks fine.  Do you get a usable connection?
Comment 17 John W. Linville 2007-08-21 14:43:12 EDT
Closed due to lack of response...please re-open when the requested information 
becomes available...

Note You need to log in before you can comment on or make changes to this bug.